<?php
require("../conexion/conexion.php");

//$id_actualizacion= $_GET['id'];

//$consulta_linea = "SELECT a.id_linea,v.idventa,a.sit_linea,v.sit_contrato FROM linea a JOIN venta v on v.idventa =a.id_linea WHERE a.cambio_linea='si' and a.id_linea  IN (SELECT idventa FROM venta )";
    $consulta_linea = " SELECT k.idmkrotik,k.idcontrato,k.sit_linea,c.sit_contrato 
                        FROM mikrotik k 
                        JOIN contrato c on c.idcontrato = k.idcontrato 
                        WHERE k.idcontrato IN (SELECT idcontrato FROM contrato) ";

    $resultado_linea = mysqli_query($conexion, $consulta_linea);

        while ($fila_linea = mysqli_fetch_assoc($resultado_linea)) {
            $sit_linea = $fila_linea["sit_linea"];
            $id_contrato = $fila_linea["idmkrotik"];
            
            //if (!in_array($sit_linea, ['pendiente', 'listo', 'baja', 'suspende'])) {        
            if (($sit_linea<>'pendiente')and($sit_linea<>'listo')and($sit_linea<>'baja')and($sit_linea<>'suspende')){
                        $accion = 'activa';
                        $esnotifica = 0;
                        $escorte = 0;                          

                        $consulta_cuotas = "SELECT c.fecha_pago FROM cuota c WHERE c.idcontrato=? AND c.estado_cuota='1'   order by c.id asc limit 1";
                        $stmt_cuotas = mysqli_prepare($conexion, $consulta_cuotas);
                        mysqli_stmt_bind_param($stmt_cuotas, "i", $id_contrato);
                        mysqli_stmt_execute($stmt_cuotas);
                        $resultado_cuotas = mysqli_stmt_get_result($stmt_cuotas);

                        while ($fila_cuotas = mysqli_fetch_assoc($resultado_cuotas)) {
                        $fecha = date("Y-m-d");
                            $fechavence_cuota = $fila_cuotas["fecha_pago"];
                            $fechavence_cuota2 = date("Y-m-d", strtotime("$fechavence_cuota + 3 days"));
                        
                            if ($fecha > $fechavence_cuota && $fecha <= $fechavence_cuota2) {
                                $esnotifica = 1;
                            }
                            if ($fecha > $fechavence_cuota2) {
                                $escorte = 1;                                       
                        }
                    }
                        if ($esnotifica == 1) {
                            $accion = 'notifica';
                        } 
                        if ($escorte == 1) {
                            $accion = 'corte';
                        }            
                        
                                    
                        if (($accion=='notifica')&&($sit_linea<>'notifica')) {
                            // Actualizar estado de la línea y la contrato
                            $consulta2 = "update mikrotik set sit_linea = 'notifica', cambio_linea = 'si'  where idcontrato='$id_contrato' "; 
                            mysqli_query($conexion, $consulta2);
                            $conexion ->query("UPDATE contrato set sit_contrato='notifica' WHERE  idcontrato='$id_contrato'") or die($conexion->error);
                        }

                        if (($accion=='corte')&&($sit_linea<>'corte')) {
                            // Actualizar estado de la línea y la contrato
                        $consulta2 = "update mikrotik set sit_linea = 'corte', cambio_linea = 'si' where idcontrato='$id_contrato' "; 
                        $luna2= mysqli_query($conexion, $consulta2);
                        $conexion ->query("UPDATE contrato set sit_contrato='corte' WHERE  idcontrato='$id_contrato'") or die($conexion->error);
                                
                        }
                        if (($accion=='activa')&&($sit_linea<>'activa'))
                        {               
                            // Actualizar estado de la línea y la contrato
                                $consulta2 = "update mikrotik set sit_linea = 'activa', cambio_linea = 'si' where idcontrato='$id_contrato' "; 
                                $luna2= mysqli_query($conexion, $consulta2);
                                $conexion ->query("UPDATE contrato set sit_contrato='activa' WHERE  idcontrato='$id_contrato'") or die($conexion->error); 
                        
                    }
            }
        }
  
$conexion->close();

header("Location: list.php?datos=LA LINEA SE ACTUALIZO CORRECTAMENTE");
?>